Page MenuHomeFreeBSD

Add some CMD53-related definitions
ClosedPublic

Authored by kibab on Apr 5 2019, 4:57 PM.

Details

Summary

In preparation to adding block mode functions, add necessary definitions.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kibab created this revision.Apr 5 2019, 4:57 PM
bz accepted this revision.Apr 6 2019, 8:53 PM
This revision is now accepted and ready to land.Apr 6 2019, 8:53 PM
imp added inline comments.Apr 8 2019, 7:59 PM
sys/dev/mmc/mmcreg.h
577 ↗(On Diff #55848)

0x00100 is a magic number, Would SD_IO_CCCR_SIZE or some new constant be more appropriate?

kibab updated this revision to Diff 56075.Apr 10 2019, 8:34 PM

Addressed reviewer's comment about magic constant, added more comments.

This revision now requires review to proceed.Apr 10 2019, 8:34 PM
kibab marked an inline comment as done.Apr 10 2019, 8:35 PM
imp accepted this revision.Apr 10 2019, 8:42 PM
This revision is now accepted and ready to land.Apr 10 2019, 8:42 PM
This revision was automatically updated to reflect the committed changes.